package com.railway.business.safetool.mapper;

import com.github.pagehelper.Page;

import com.railway.business.safetool.domain.SecExperimentTool;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 送检记录工具表
* @author lijie
* @date 2021/12/25
*/
@Mapper
@Repository
public interface SecExperimentToolMapper {

    /**
    * 新增
    */
    int insert(SecExperimentTool secExperimentTool);

    /**
    * 删除
    */
    int delete(@Param("id") Long id);

    /**
    * 更新
    */
    int update(SecExperimentTool secExperimentTool);

    /**
    * 获取单个
    */
    SecExperimentTool getInfo(@Param("id") Long id);

    /**
    * 查询列表
    */
    Page<SecExperimentTool> getList(SecExperimentTool secExperimentTool);

}
